io.swagger.client.model

## Class WorkflowStateTransition

- java.lang.Object
- - io.swagger.client.model.WorkflowStateTransition

-     public class WorkflowStateTransition
      extends Object

  WorkflowStateTransition

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowStateTransition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorkflowStateTransition` | `addAllowedInstanceRolesItem(String allowedInstanceRolesItem)`
    `WorkflowStateTransition` | `addAllowedRolesItem(String allowedRolesItem)`
    `WorkflowStateTransition` | `allowedInstanceRoles(List<String> allowedInstanceRoles)`
    `WorkflowStateTransition` | `allowedRoles(List<String> allowedRoles)`
    `WorkflowStateTransition` | `currentState(String currentState)`
    `WorkflowStateTransition` | `currStateId(Integer currStateId)`
    `WorkflowStateTransition` | `description(String description)`
    `WorkflowStateTransition` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `WorkflowStateTransition` | `function(String function)`
    `List<String>` | `getAllowedInstanceRoles()` Get allowedInstanceRoles
    `List<String>` | `getAllowedRoles()` Get allowedRoles
    `String` | `getCurrentState()` Get currentState
    `Integer` | `getCurrStateId()` Get currStateId
    `String` | `getDescription()` Get description
    `String` | `getDisplayName()` Get displayName
    `String` | `getFunction()` Get function
    `Integer` | `getId()` Get id
    `Integer` | `getWorkflowFunctionId()` Get workflowFunctionId
    `int` | `hashCode()`
    `WorkflowStateTransition` | `id(Integer id)`
    `void` | `setAllowedInstanceRoles(List<String> allowedInstanceRoles)`
    `void` | `setAllowedRoles(List<String> allowedRoles)`
    `void` | `setCurrentState(String currentState)`
    `void` | `setCurrStateId(Integer currStateId)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setFunction(String function)`
    `void` | `setId(Integer id)`
    `void` | `setWorkflowFunctionId(Integer workflowFunctionId)`
    `String` | `toString()`
    `WorkflowStateTransition` | `workflowFunctionId(Integer workflowFunctionId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowStateTransition

          public WorkflowStateTransition()

  - ### Method Detail

    - #### id

          public WorkflowStateTransition id(Integer id)

    - #### getId

          public Integer getId()

      Get id
      Returns:
        id

    - #### setId

          public void setId(Integer id)

    - #### workflowFunctionId

          public WorkflowStateTransition workflowFunctionId(Integer workflowFunctionId)

    - #### getWorkflowFunctionId

          public Integer getWorkflowFunctionId()

      Get workflowFunctionId
      Returns:
        workflowFunctionId

    - #### setWorkflowFunctionId

          public void setWorkflowFunctionId(Integer workflowFunctionId)

    - #### currStateId

          public WorkflowStateTransition currStateId(Integer currStateId)

    - #### getCurrStateId

          public Integer getCurrStateId()

      Get currStateId
      Returns:
        currStateId

    - #### setCurrStateId

          public void setCurrStateId(Integer currStateId)

    - #### allowedRoles

          public WorkflowStateTransition allowedRoles(List<String> allowedRoles)

    - #### addAllowedRolesItem

          public WorkflowStateTransition addAllowedRolesItem(String allowedRolesItem)

    - #### getAllowedRoles

          public List<String> getAllowedRoles()

      Get allowedRoles
      Returns:
        allowedRoles

    - #### setAllowedRoles

          public void setAllowedRoles(List<String> allowedRoles)

    - #### allowedInstanceRoles

          public WorkflowStateTransition allowedInstanceRoles(List<String> allowedInstanceRoles)

    - #### addAllowedInstanceRolesItem

          public WorkflowStateTransition addAllowedInstanceRolesItem(String allowedInstanceRolesItem)

    - #### getAllowedInstanceRoles

          public List<String> getAllowedInstanceRoles()

      Get allowedInstanceRoles
      Returns:
        allowedInstanceRoles

    - #### setAllowedInstanceRoles

          public void setAllowedInstanceRoles(List<String> allowedInstanceRoles)

    - #### description

          public WorkflowStateTransition description(String description)

    - #### getDescription

          public String getDescription()

      Get description
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### function

          public WorkflowStateTransition function(String function)

    - #### getFunction

          public String getFunction()

      Get function
      Returns:
        function

    - #### setFunction

          public void setFunction(String function)

    - #### currentState

          public WorkflowStateTransition currentState(String currentState)

    - #### getCurrentState

          public String getCurrentState()

      Get currentState
      Returns:
        currentState

    - #### setCurrentState

          public void setCurrentState(String currentState)

    - #### displayName

          public WorkflowStateTransition displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Get displayName
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.